=== debian/changelog ===
ros-indigo-wiimote (1.12.0-0trusty) trusty; urgency=high

  * Addressed numerous outstanding PRs.
  * Fixed issue when nunchuk wasn't connected
  * Update README.md
  * Added testing proceedures for wiimote
  * Resolved div-by-zero error race condition on startup.
  * Added testing proceedures for wiimote
  * Fixed issue when nunchuk wasn't connected
  * Changed package xml to format 2
  * Added wiimote testing script
  * Add pairing params to wiimote_node
    * bluetooth_addr
    * pair_timeout
  * Contributors: Jonathan Bohren, Matt Vollrath, jprod123, psimona

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 05:00:00 -0000

ros-indigo-wiimote (1.11.0-0trusty) trusty; urgency=high

  * Sample Teleop Implementation for Wiimote
  * C++ Implementation of Wiimote Controller Node
  * Add queue_size to remove ROS Warning
  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 06:00:00 -0000

ros-indigo-wiimote (1.10.1-0trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 05:00:00 -0000

ros-indigo-wiimote (1.10.0-0trusty) trusty; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 05:00:00 -0000
